com.google.gwt.cell.client

## Interface ButtonCellBase.DefaultAppearance.Template

All Superinterfaces:
  SafeHtmlTemplates

Enclosing class:
  ButtonCellBase.DefaultAppearance<C>

    static interface ButtonCellBase.DefaultAppearance.Template
    extends SafeHtmlTemplates

The templates used by this appearance.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.safehtml.client.SafeHtmlTemplates

`SafeHtmlTemplates.Template`

### Method Summary

All Methods Instance Methods Abstract Methods
`SafeHtml` `iconContentLayout(java.lang.String classes, SafeStyles styles, SafeHtml icon, SafeHtml cellContents)` Positions the icon next to the text.
`SafeHtml` `iconWrapper(SafeStyles styles, SafeHtml image)` The wrapper around the icon that aligns it vertically with the text.

### Method Detail

#### iconContentLayout

    @SafeHtmlTemplates.Template(value="<div class=\"{0}\" style=\"{1}position:relative;zoom:0;\">{2}{3}</div>")
    SafeHtml iconContentLayout(java.lang.String classes,
                                                                                                                                           SafeStyles styles,
                                                                                                                                           SafeHtml icon,
                                                                                                                                           SafeHtml cellContents)

Positions the icon next to the text. NOTE: zoom:0 is a workaround for an IE7 bug where the button contents wrap even when they do not need to.

#### iconWrapper

    @SafeHtmlTemplates.Template(value="<div style=\"{0}position:absolute;top:50%;line-height:0px;\">{1}</div>")
    SafeHtml iconWrapper(SafeStyles styles,
                                                                                                                                     SafeHtml image)

The wrapper around the icon that aligns it vertically with the text.